Name: webdesigner 
Version: 0.1.6
Release: 5
Source: http://webdesigner.linuxave.net/%{name}-%{version}.tar.gz
Patch0: menus.patch
URL: http://webdesigner.linuxave.net
Copyright: GPL
Group: Development/Tools 
Summary: Web Designer - an HTML editor for linux
BuildRoot: %{_tmppath}/%{name}-root

%description
Web Designer is an HTML editor for those who want to write quick and effective
HTML code. It thus, does not provide a pseudo WYSIWYG interface but a very
intuitive GUI with a quick access to all HTML tags.

%prep
%setup -q
%patch0 -p1

%build
%configure --mandir=%{_prefix}/share/man 
make 

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install 

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Development/

mv $RPM_BUILD_ROOT%{_prefix}/share/gnome/apps/Applications/webdesigner.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Development/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README docs/FAQ docs/HISTORY docs/TODO
%config /etc/X11/applnk/Development/webdesigner.desktop
%{_bindir}/wdesign
%{_mandir}/*/*
%{_prefix}/share/pixmaps/*
%{_prefix}/share/webdesigner

%changelog
* Thu Aug 3 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- FHS fixes

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue May 30 2000 Tim Powers <timp@redhat.com>
- started changelog
- grabbed the description etc from a spec file in the tarball
- initial build for Powertools
- patched so that the help menu only has the "about" entry since the rest
  isn't implimented and calls the about box anyway. Proactive bug fixing :)
